JavaScript에서 예외를 사용하여 forEach 루프 종료

Sahil Bhosale 2022년1월15일 2021년5월9일 JavaScript JavaScript Loop
JavaScript에서 예외를 사용하여 forEach 루프 종료

JavaScript 프로그래밍 언어는 다른 프로그래밍 언어와 달리 다양한 for루프의 변형과 함께 제공됩니다. 우리는 초기화, 조건, 증가 또는 감소의 세 가지로 구성된 전통적인for루프 만 볼 수 있습니다. 전통적인for루프가 작동하도록하려면이 3 가지 요소를 따라야합니다. 특히 프로그래밍을 처음 접하는 경우 매우 혼란스러워 보일 수 있습니다.

JavaScript는for루프를 작성하는 새로운 방법을 제공했으며 이것이forEach루프입니다. forEach루프는 배열을 반복하는 데 사용됩니다. 많은 개발자가 기존for루프보다forEach루프를 사용하여 배열을 반복하는 것을 선호합니다. 작성하기가 훨씬 쉽고 가독성이 높기 때문입니다.

for루프 또는while루프와 같은 모든 루프는break문을 사용하여 종료 할 수 있습니다. forEach루프를 사용하여 배열을 반복하는 유일한 단점은break키워드를 사용하여 종료 할 수 없다는 것입니다. 프로그램 실행 중에 특정 조건 (참 또는 거짓)이 유지 될 때forEach루프를 종료하려는 경우가 있습니다. 따라서이를 위해 예외 처리를 사용할 수 있습니다.

JavaScript에서try...catch블록을 사용하여forEach루프 종료

array.forEach루프 내에서break문이 제공하는 기능을 달성하기 위해 JavaScript에서 사용할 수있는 예외 처리 개념을 사용할 수 있습니다. 예외 처리는 프로그램 실행 중 오류가 발생하면 비정상적인 상황을 처리하고 불필요한 프로그램 충돌을 피하는 것입니다. 이것은try...catch블록의 도움으로 수행됩니다.

try블록은 모든 코드를 작성하는 곳입니다. 그리고catch블록에는 예외를 처리하는 데 사용될 코드가 포함됩니다.

<!DOCTYPE html>
<html lang="en">
<head>
    <title>Document</title>
</head>
<body>
    <p id="errorMsg"></p>

    <script>
        var arr = [1, 2, 3, 4, 5]
        try {
        arr.forEach((element)=> {
            if (element === 4) throw "number is equal to four";
            console.log(element);
        });
        } 
        catch (e) {
            errorMsg = document.getElementById('errorMsg');
            errorMsg.innerHTML = "Error: " + e + ".";
        }
    </script>
</body>
</html>

출력:

// The below output will be printed on the screen.
Error: number is equal to four.

// The below output will be printed inside the web browser console
1
2
3

이것은 HTML 5 문서입니다. <body>태그 내부. 하나의 단락 태그와iderrorMsg입니다. 이 단락 태그는 JavaScript 프로그램에서 발생하는 오류 메시지를 표시하는 데 사용됩니다.

<script>태그 안에 실제 프로그램이 있습니다. 여기에서 먼저 1부터 5까지의 요소를 포함하는arr라는 배열을 선언했습니다. 여기서 주요 목표는forEach루프를 사용하여이 배열을 반복 한 다음 arr 배열 내부의 4 요소에 도달하면 루프를 끊는 것이다.

try블록에서forEach루프를 사용하여이 배열을 반복합니다. 이 루프 내에서 익명 함수 (화살표 함수라고도 함)를 전달했습니다. 이 함수 안에는 배열의 특정 위치에있는 요소가4인지 여부를 확인하는if문이 있습니다. 4가 아니면 웹 브라우저의 콘솔에 해당 요소를 인쇄합니다. 그렇지 않으면숫자가 4와 같다라는 예외가 발생합니다.

try블록에 의해 발생한이 예외는catch블록에 의해 포착되고 변수e내에 저장됩니다. 이제innerHTML이라는 HTML 속성을 사용하여p태그 내의e변수 내에있는 오류 메시지를 표시 할 수 있습니다. 이것은 JavaScript에서 배열을 반복하면서forEach루프 내에서break기능을 구현하는 전체 프로세스입니다.

Sahil Bhosale avatar Sahil Bhosale avatar

Sahil is a full-stack developer who loves to build software. He likes to share his knowledge by writing technical articles and helping clients by working with them as freelance software engineer and technical writer on Upwork.

LinkedIn

관련 문장 - JavaScript Loop

  • JavaScript의 setInterval 루프
  • JavaScript 배열을 반복하는
  • JavaScript의 중첩 루프